Create a new post
curl --request POST \
--url https://api.so-me.studio/v1/posts \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"text": "<string>",
"scheduledAt": "<string>",
"metaData": {},
"files": [
{
"filename": "<string>",
"mimetype": "<string>",
"size": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"s3Prefix": "<string>",
"fileSrc": "<string>",
"duration": 43200.05
}
],
"accountId": "<string>"
}
'import requests
url = "https://api.so-me.studio/v1/posts"
payload = {
"text": "<string>",
"scheduledAt": "<string>",
"metaData": {},
"files": [
{
"filename": "<string>",
"mimetype": "<string>",
"size": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"s3Prefix": "<string>",
"fileSrc": "<string>",
"duration": 43200.05
}
],
"accountId": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
text: '<string>',
scheduledAt: '<string>',
metaData: {},
files: [
{
filename: '<string>',
mimetype: '<string>',
size: 123,
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
s3Prefix: '<string>',
fileSrc: '<string>',
duration: 43200.05
}
],
accountId: '<string>'
})
};
fetch('https://api.so-me.studio/v1/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Posts
Create a new post
Create a post with optional media files. To attach media, first call POST /v1/posts/presign-media to get upload URLs, upload your files to S3, then include the file references here.
POST
/
v1
/
posts
Create a new post
Authorizations
Body
application/json
Post text content
Target social media platform
Available options:
TWITTER, INSTAGRAM, LINKEDIN, LINKEDIN_PAGE, FACEBOOK, TIKTOK, YOUTUBE, THREADS, WHATSAPP Type of post (IMAGE, VIDEO, CAROUSEL, REEL, STORY, TEXT)
Available options:
TEXT, IMAGE, MULTIPLE_IMAGES, VIDEO, CAROUSEL, REEL, STORY ISO 8601 date for scheduling (must be in the future)
Platform-specific metadata
Media files to attach (use presign-media first to get s3Prefix and fileSrc)
Show child attributes
Show child attributes
Social account ID to post from
Response
Post created